/**
 * @license
 * Copyright 2017 JBoss Inc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { ChangeDetectorRef, EventEmitter } from "@angular/core";
import { OasDocument, SecurityScheme } from "apicurio-data-models";
import { CommandService } from "../../../_services/command.service";
import { AbstractBaseComponent } from "../../common/base-component";
import { DocumentService } from "../../../_services/document.service";
import { SelectionService } from "../../../_services/selection.service";
export declare class SecuritySchemeRowComponent extends AbstractBaseComponent {
    private changeDetectorRef;
    private documentService;
    private commandService;
    private selectionService;
    document: OasDocument;
    scheme: SecurityScheme;
    onEdit: EventEmitter<boolean>;
    onDelete: EventEmitter<boolean>;
    onRename: EventEmitter<boolean>;
    protected _editing: boolean;
    constructor(changeDetectorRef: ChangeDetectorRef, documentService: DocumentService, commandService: CommandService, selectionService: SelectionService);
    name(): string;
    hasName(): boolean;
    schemeType(): string;
    description(): string;
    hasDescription(): boolean;
    isEditing(): boolean;
    toggle(): void;
    edit(): void;
    ok(): void;
    cancel(): void;
    delete(): void;
    editScheme(): void;
    renameScheme(): void;
    isValid(): boolean;
    setDescription(description: string): void;
    onGlobalKeyDown(event: KeyboardEvent): void;
}
